var scbObjs = [],
scbFrom = "";
function addScb(a, c, d) {
    a = parseJson(a);
    scbObjs[a.uwid] = c;
    if (typeof(d) != "undefined") {
        scbFrom = d
    }
    try {
        dictcn.addScb(JSON.stringify({
            uwid: a.uwid,
            successCallback: "onScbSuccess",
            failedCallback: "onScbFailed"
        }))
    } catch(b) {}
}
/* 生词本添加成功
 * 参数格式json:
 * jsonData = {
 *     "uwid":"",                                 //uwid
 *     "in_scb":"0|1"
 * }
 */
function onScbSuccess(jsonData){
    jsonData = parseJson(jsonData);
    var uwid = jsonData.uwid || "";
    var in_scb = jsonData.in_scb || "0";
    try{
        var $wordhead = $('.wordhead');
        var img_name = "btn-add.png";
        if(in_scb == "1"){
            img_name = "btn-added.png";
        }

        if(scbFrom=="phrase"){
           scbObjs[uwid].src = _resource_+'/images/' + img_name;
        } else if($wordhead.length>1){
            $wordhead.children('.scbadd').children('img').attr('src',_resource_+'/images/' + img_name);
        } else {
            scbObjs[uwid].src = _resource_+'/images/' + img_name;
        }
    }catch(e){}
}
var globAnima = null,
globCurObj = null,
defSoundSrc = "";
function playSound(c, h) {
    c = parseJson(c);
    onEndPlaySound();
    globCurObj = $(h);
    defSoundSrc = $(h).attr("src");
    var d = c.symbol ? c.symbol: "";
    var b = c.pinyin ? c.pinyin: "";
    var a = c.v ? c.v: "";
    var g = c.uwid ? c.uwid: "";
    try {
        dictcn.playSound(JSON.stringify({
            uwid: c.uwid,
            lang: c.lang,
            key: c.key,
            scode: c.scode,
            symbol: d,
            pinyin: b,
            v: a,
            startCallback: "onStartPlaySound",
            endCallback: "onEndPlaySound"
        }))
    } catch(f) {}
}
function onStartPlaySound(b) {
    b = parseJson(b);
    try {
        var a = 1;
        globAnima = setInterval(function() {
            if (a > 3) {
                a = 1
            }
            globCurObj.attr("src", _resource_ + "/images/btn-voice-" + a + ".png");
            a++
        },
        200)
    } catch(c) {}
}
function onEndPlaySound(a) {
    a = parseJson(a);
    try {
        clearInterval(globAnima);
        globCurObj.attr("src", defSoundSrc)
    } catch(b) {}
}
function searchText(a) {
    a = parseJson(a);
    try {
        dictcn.searchText(JSON.stringify({
            text: a.text
        }))
    } catch(b) {}
}
var globPhraseObj = null;
function ajaxSearch(a, d, c) {
    a = parseJson(a);
    if (typeof(c) == "undefined") {
        c = "none"
    }
    if ($(d).next()[0].style.display == c) {
        $(d).children(".arrowbtn").children("img").attr("src", _resource_ + "/images/arrow-up.png");
        if ($(d).next().children(".ajax-search").length) {
            $(d).next().show()
        } else {
            try {
                $(d).next().html('<div class="phrase-loadding">Loading...</div>');
                $(d).next().show();
                globPhraseObj = d;
                dictcn.ajaxSearch(JSON.stringify({
                    text: a.text,
                    tplName: a.tplName,
                    from: a.from,
                    successCallback: "onAjaxSuccess",
                    failedCallback: "onAjaxFailed"
                }))
            } catch(b) {}
        }
    } else {
        $(d).next().hide();
        $(d).children(".arrowbtn").children("img").attr("src", _resource_ + "/images/arrow-down.png")
    }
    if (typeof swiperScroll != "undefined" && swiperScroll) {
        swiperScroll.resizeFix(true)
    } else {
        if (typeof swiperMain != "undefined" && swiperMain) {
            swiperMain.resizeFix(true)
        }
    }
}
function onAjaxSuccess(a) {
    a = parseJson(a);
    try {
        var b = $("#uwid" + a.uwid);
        b.next().html(a.html);
        if (typeof onAjaxResize != "undefined") {
            onAjaxResize(a.uwid)
        }
        globPhraseObj = null;
        if (auto_uwid) {
            if (parseInt(auto_uwid) != 0) {
                swipeToView(b[0])
            }
            auto_uwid = "";
            if (b.next()[0].style.display == "none") {
                b.next().show()
            }
        }
    } catch(c) {}
    if (typeof swiperScroll != "undefined" && swiperScroll) {
        swiperScroll.resizeFix(true)
    } else {
        if (typeof swiperMain != "undefined" && swiperMain) {
            swiperMain.resizeFix(true)
        }
    }
}
function swipeToView(b) {
    if (typeof swiperMain != "undefined" && swiperMain) {
        var a = swiperMain;
        var c = -a.h.getOffset(b).top + 5;
        if (typeof swiperScroll != "undefined" && swiperScroll) {
            a = swiperScroll;
            c += a.h.getOffset(a.container).top;
            swiperMain.setWrapperTransDelay(0);
            swiperMain.setWrapperTransition(0);
            swiperMain.setWrapperTranslate( - a.getHeaderHeight())
        }
        a.setWrapperTransDelay(0);
        a.setWrapperTransition(0);
        a.setWrapperTranslate(c)
    }
}
function onAjaxFailed(a) {
    a = parseJson(a);
    try {
        document.getElementById("uwid" + a.uwid).innerHTML = a.tip ? a.tip: "Failed to load the data!"
    } catch(b) {}
    if (typeof swiperScroll != "undefined" && swiperScroll) {
        swiperScroll.resizeFix(true)
    } else {
        if (typeof swiperMain != "undefined" && swiperMain) {
            swiperMain.resizeFix(true)
        }
    }
}
function popPlayStroke(b) {
    b = parseJson(b);
    var a = "stroke.chtml";
    if (typeof(b.tplName) != "undefined") {
        a = b.tplName
    }
    try {
        dictcn.popPlayStroke(JSON.stringify({
            key: b.text,
            tplName: a
        }))
    } catch(c) {}
}
var globStrokeObj = null;
function playStroke(a, c) {
    a = parseJson(a);
    globStrokeObj = c;
    try {
        dictcn.playStroke(JSON.stringify({
            key: a.text,
            startCallback: "onStartPlayStroke",
            endCallback: ""
        }))
    } catch(b) {}
}
function onStartPlayStroke(a) {
    a = parseJson(a);
    try {
        show_stroke_order(a, globStrokeObj)
    } catch(b) {}
    globStrokeObj = null
}
function nativeLoadImage(b, d) {
    d.onload = null;
    b = parseJson(b);
    var a = "image_id_" + new Date().getTime() + "" + Math.floor(Math.random() * 10000);
    $(d).attr("id", a);
    try {
        dictcn.nativeLoadImage(JSON.stringify({
            url: b.url,
            image_id: a
        }))
    } catch(c) {}
}
function onImageLoadSuccess(a) {
    a = parseJson(a);
    try {
        $("#" + a.image_id).attr("src", a.path)
    } catch(b) {}
}
function onImageLoadFailed(a) {
    a = parseJson(a);
    try {
        $("#" + a.image_id).attr("src", _resource_ + "/images/default.png")
    } catch(b) {}
}
function parseJson(a) {
    try {
        if (a && !isJson(a)) {
            a = JSON.parse(a)
        }
    } catch(b) {}
    return a
}
function isJson(b) {
    var a = typeof(b) == "object" && Object.prototype.toString.call(b).toLowerCase() == "[object object]" && !b.length;
    return a
}
function popupDict(b) {
    var a = JSON.stringify(b);
    try {
        dictcn.popupDict(a)
    } catch(c) {
        popupDictCallback(a)
    }
}
function popupDictCallback(a) {
    var b = parseJson(a);
    if (typeof setHighLight == "function" && b.action == "highLight") {
        setHighLight(b)
    }
    if (typeof clearPopupDict == "function" && b.action == "close") {
        clearPopupDict(false)
    }
};