var swiperMain, swiperNav, swiperPages, swiperScroll, navHeight, swiperScrolls = new Array();
$(function(){

    FastClick.attach(document.body);
	
    if($('.swiper-main').length>0){
		
		function setFontScale (scale){
			$('.swiper-nav').css({
	    		height: ( $('.swiper-nav .nav-content').height() + 2 )
	    	})
	    	
	    	$('.words-yinbiao img').css({
	    		height: (scale*24),
	    		width: (scale*24)
	    	})
	    	var scbScale = 40*scale;
	    	
	    	$('.scbadd img').css({
	    		height: scbScale,
	    		width: scbScale
	    	})
	    	
	    	scbScale = 16*scale;
	    	$('.arrowbtn img').css({
	    		height: scbScale,
	    		width: scbScale
	    	})
	    	
		}
		
		
		if(typeof(textSize)=="undefined" || parseInt(textSize) < 10){
    		$('html').css({
	    		fontSize: 16
	    	})
    		setFontScale (1.0);
		}else{
			setFontScale (parseInt(textSize)/16.0);
    	}
		
		//Function to Fix Pages Height
		function fixPagesHeight() {
			$('.swiper-container').css({
				width: $(window).width()
			})
			$('.swiper-main').css({
				height: $(window).height()
			})
			if($('.swiper-pages').length>0){
				$('.swiper-pages').css({
					height: $(window).height()
				});
				$('.scroll-container').css({
					height: $(window).height()
				});
				$('.scroll-container .swiper-slide').css({
					width: $(window).width()
				});
			}else{
				$('.swiper-main .swiper-slide').css({
					width: $(window).width()
				})
			}
		}
		
		$(window).on('resize',function(){
			fixPagesHeight()
		})
		fixPagesHeight()
		
		window.onTouchMoveOut = function () {
	        if(swiperScroll){
	        	swiperScroll.onTouchMoveOut();
	        	swiperPages.onTouchMoveOut();
	        }else{
	        	swiperMain.onTouchMoveOut();
	        }
	    }
		
    	swiperMain = $('.swiper-main').swiper({
			mode:'vertical',
			scrollContainer: true,
			mousewheelControl: true
		})
	      
	    if($('.swiper-nav').length>0){
	    	swiperNav = $('.swiper-nav').swiper({
				slidesPerView: 'auto',
				freeMode:true,
				freeModeFluid:true,
				onSlideClick: function(nav){
					//alert(pages.activeIndex);
					swiperPages.swipeTo( nav.clickedSlideIndex );
					updateNavPosition(0);
				}
			})
	    }

		    
	    if($('.swiper-pages').length>0){
	    	swiperMain.params.onlyExternal = true;
	    	
	    	//Init Pages
			swiperPages = $('.swiper-pages').swiper({
				onSlideNext: function(p){
					updateNavPosition(1);
				},
				onSlidePrev: function(p){
					updateNavPosition(-1);
				}
			})
			$('.scroll-container .page-inner').each(function(){
				if($(this).height() < $(window).height()){
					$(this).children('.footer').css({
						paddingBottom: ($(window).height() - $(this).height())
					})
				}
			});

			var scrollID = 0;
			//Scroll Containers
			$('.scroll-container').each(function(){
				$(this).css({
					height: $(window).height()
				})
				swiperScroll = $(this).swiper({
					mode:'vertical',
					scrollContainer: true,
					mousewheelControl: true,
					momentumRatio: 0.8,
					scrollbar: {
						container:$(this).find('.swiper-scrollbar')[0]
					},
					onTouchStart: function(page){
						swiperScroll = page;
						//Set Transition Delay Time to 0
			            swiperMain.setWrapperTransDelay(0);
			
			            //Set Transition Time to 0
			            swiperMain.setWrapperTransition(0);
			
			            //Set Transform
			            swiperMain.setWrapperTranslate(swiperMain.getWrapperTranslate());
						page.setNavTop(Math.round(swiperNav.h.getOffset(swiperNav.container).top));
					},
					onTouchEnd: function(page, e, headerDuration, pageDuration, headerPos){
						if(headerDuration > 0){
							swiperMain.setWrapperTransDelay(pageDuration);
							swiperMain.setWrapperTransition(headerDuration);
							swiperMain.setWrapperTranslate(0,headerPos,0);
							page.setNavTop(navHeight + headerPos);
						}else{
							if(swiperMain.h.getOffset(swiperMain.wrapper).top > 0){
								swiperMain.setWrapperTransition(200);
								swiperMain.setWrapperTranslate(0,0,0);
								page.setNavTop(navHeight);
							}
						}
						
					},
					onTouchMove: function(page,e,headerPos){
						//if(headerPos <= 0){
							if(headerPos>0){
								headerPos /= 2;
							}
							swiperMain.setWrapperTransDelay(0);
							swiperMain.setWrapperTransition(0);
							swiperMain.setWrapperTranslate(0,headerPos,0);
						//}
					}
				});
				navHeight = Math.round(swiperNav.h.getOffset(swiperNav.container).top);
				swiperScroll.setHeaderHeight(navHeight);
				swiperScroll.setNavTop(navHeight);
				swiperScrolls[scrollID++] = swiperScroll;
			})
			
			//Update Nav Position
			function updateNavPosition(d){
				if(!swiperPages) return;
				$('.swiper-nav .active-nav').removeClass('active-nav')
				var activeNav = $('.swiper-nav .swiper-slide').eq(swiperPages.activeIndex).addClass('active-nav')
				$('.swiper-nav').css({
	    			height: ( $('.swiper-nav .nav-content').height() + 2 )
	    		})
				switchWordHead(swiperPages.activeIndex);
				swiperNav.swipeTo(swiperPages.activeIndex);
				swiperScroll = swiperScrolls[swiperPages.activeIndex];
			}
	        
	    }    

    
    //change words
    var $wordheads = $('.wordhead');
    function switchWordHead(toNum){
        $wordheads.hide();
        $('#wordhead'+toNum).show();
    }
    
    
    //动词变位展开收起
    $(".labelbtn").on("click",function(){
        var $contVerb = $(this).next(".content-verb");
        if($contVerb.css('display')=='none'){
            $contVerb.show();
            $(this).children().children('img').attr("src",_resource_+"/images/arrow-up.png");
        } else {
            $contVerb.hide();
            $(this).children().children('img').attr("src",_resource_+"/images/arrow-down.png");
        }
        if(swiperScroll){
        	swiperScroll = swiperScrolls[swiperPages.activeIndex];
        	if($(swiperScroll.wrapper).find('.page-inner').height() > $(window).height() + 66 && $(swiperScroll.wrapper).find('.footer').height() > 66){
        		$(swiperScroll.wrapper).find('.footer').css({
						paddingBottom: 65
					})
        	}else if($(swiperScroll.wrapper).find('.page-inner').height() < $(window).height() - $('.swiper-nav .nav-content').height() ){
        		$(swiperScroll.wrapper).find('.footer').css({
						paddingBottom: ($(window).height() - $(swiperScroll.wrapper).find('.page-inner').height())
					})
        	}
        	swiperScroll.resizeFix(true);
        }else{
        	swiperMain.resizeFix(true);
        }
    });

    }
    
    //a标签绑定事件
    $('.content dt a').on("click",function(){
        if($(this).attr("href")){
            searchText({'text': $(this).attr("href")});
        } else {
           searchText({'text': $(this).html()});
        }
        return false;
    });
    
    
    if(typeof auto_uwid!='undefined' && auto_uwid){
        var obj = $('#uwid'+auto_uwid);

        obj.next(".content-verb").show();
        obj.children().children('img').attr("src",_resource_+"/images/arrow-up.png");
        if(swiperScroll){
        	swiperScroll = swiperScrolls[swiperPages.activeIndex];
        	if($(swiperScroll.wrapper).find('.page-inner').height() > $(window).height() + 66 && $(swiperScroll.wrapper).find('.footer').height() > 66){
        		$(swiperScroll.wrapper).find('.footer').css({
						paddingBottom: 65
					})
        	}
        	swiperScroll.resizeFix(true);
	    	swiperMain.setWrapperTransDelay(0);
	    	swiperMain.setWrapperTransition(0);
	    	swiperMain.setWrapperTranslate(-swiperNav.h.getOffset(swiperNav.container).top);
        }else{
        	swiperMain.resizeFix(true);
	    	swiperMain.setWrapperTransDelay(0);
	    	swiperMain.setWrapperTransition(0);
	    	swiperMain.setWrapperTranslate(-swiperMain.h.getOffset(obj).top);
        }
    }
    

});

//滚动到变位动词
function scrollToView(obj){
    obj.scrollIntoView(true);
}